import { RipplePropsForComponents } from '../ripple/ripple.types';
import { ButtonHTMLAttributes } from 'react';

export interface ButtonMainProps {
    disabled?: boolean;
    variant?: 'filled' | 'outlined' | 'elevated' | 'tonal' | 'text';
    icon?: string;
}

export type ButtonProps = RipplePropsForComponents<HTMLButtonElement> &
    ButtonMainProps &
    ButtonHTMLAttributes<HTMLButtonElement>;
